.project {
    color: $biscay;
    overflow: hidden;
    margin-top: -2em;
    position: relative;

    @media (min-width: $md) {
        margin: 1em;
        margin-top: 10em;
    }

    &__container {
        width: 100%;
        max-width: $xl;
        margin: auto auto;

        &--full {
            max-width: 100%;
        }
    }

    &--fade-in {
        opacity: 0;
    }

    &__overlay {
        position: absolute;
        width: 100%;
        height: 100%;
        overflow: hidden;
        z-index: -1;

        &--vista-white {
            background-color: $vista-white;
        }

        &--melanie {
            background-color: $melanie;
        }

        &--mint-tulip {
            background-color: $mint-tulip;
        }

        &--anakiwa {
            background-color: $anakiwa;
        }

        &--link-water {
            background-color: $link-water;
        }
    }

    &__image {
        height: 75vw;
        background-size: cover;
        background-position: center center;

        @media (min-width: $md) {
            height: 55vw;
        }

        @media (min-width: $lg) {
            height: 35vw;
        }
    }

    &__marquee {
        padding: 2em 0;

        @media (min-width: $lg) {
            padding: 3.5em 0;
        }

        h1 {
            margin: 0.15px 0;
            color: transparent;
            -webkit-text-stroke-width: 1px;
            -webkit-text-stroke-color:$biscay;
    
            font-size: 80px;
    
            @media (min-width: $md) {
                font-size: 100px;
            }
        
            @media (min-width: $lg) {
                font-size: 120px;
            }
        }
    }

    &__information {
        max-width: $md;
        padding: 2em 1em;

        @media (min-width: $lg) {
            padding: 5.5em 2.5em;
        }

        &--center {
            margin: auto auto;
        }

        &--small {
            max-width: $sm;
        }

        &--large {
            max-width: $lg;
        }
    }

    &__video {
        overflow: hidden;
        position: relative;
        padding-bottom: 30em;
        margin: 2em 0;

        @media (min-width: $lg) {
            padding: 5.5em 0;
        }
        
        video {
            position: absolute;
            height: 100%;
            width: 100%;
            object-fit: cover;
        }

        @media (min-width: $lg) {
            padding-bottom: 50em;
        }
    }

    .gallery {
        display: flex;
        padding: 2em 1em;

        @media (min-width: $lg) {
            padding: 5.5em 0;
        }

        &__item {
            min-width: 260px;
            min-height: 430px;
            position: relative;

            .image {
                position: absolute;
                top: 0; bottom: 0; left: 0; right: 0;
                background-size: cover;
                background-position: center center;
                width: 100%;
                height: 100%;
            }

            @media (min-width: $lg) {
                min-width: 500px;
                min-height: 700px;
            }
        }
    }

    .sticky {
        padding: 2em 1em;

        @media (min-width: $lg) {
            padding: 5.5em 2.5em;
        }

        &__information {
            width: 100%;

            &--list {
                margin-bottom: 2em;

                h2,
                .h2 {
                    position: relative;
            
                    @media (min-width: $md) {
                        padding-left: 50px;

                        &::before {
                            content: '';
                            position: absolute;
                            top: 50%;
                            left: 0;
                            height: 5px;
                            width: 40px;
                            transform: translateY(-50%);
                            background-color: $biscay;
                        }
                    }
                }
    
                p {
                    @media (min-width: $md) {
                        padding-left: 50px;
                    }
                }

                @media (min-width: $md) {
                    margin-bottom: 4em;
                }
            }

            @media (min-width: $md) {
                width: 50%;
                margin-left: 50%;
            }
        }

        &__heading {
            padding: 1em 0;

            @media (min-width: $md) {
                width: 50%;
                position: sticky;
                top: 0;
                float: left;
                padding-right: 2em;
            }
        }
    }
}